Bug 863091 - (CVE-2015-8837) CVE-2015-8837 fuseiso: Stack-based buffer overflow when scanning directory structure for absolute path entries
CVE-2015-8837 fuseiso: Stack-based buffer overflow when scanning directory st...
Status: CLOSED WONTFIX
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
low Severity low
: ---
: ---
Assigned To: Red Hat Product Security
impact=low,public=20150207,reported=2...
: Security
Depends On: 862211
Blocks: 863103
  Show dependency treegraph
 
Reported: 2012-10-04 08:21 EDT by Jan Lieskovsky
Modified: 2016-06-17 02:34 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-06-17 02:25:48 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jan Lieskovsky 2012-10-04 08:21:13 EDT
A stack-based buffer overflow flaw was found in the way FuseISO, a FUSE module to mount ISO filesystem images, performed expanding of directories portions for absolute path filename entries. A remote attacker could provide a specially-crafted ISO file that, when mounted via fuseiso tool would lead to fuseiso binary crash or, potentially, arbitrary code execution with the privileges of the user running the fuseiso executable.

Note: Since the fuseiso binary on Fedora is compiled with FORTIFY_SOURCE protection enabled, this flaw would allow an attacker to cause fuseiso binary to crash only.

Acknowledgements:

This issue was discovered by Florian Weimer of Red Hat Product Security Team.
Comment 1 Jan Lieskovsky 2012-10-04 08:26:55 EDT
This issue affects the versions of the fuseiso package, as shipped with Fedora release of 16 and 17.
Comment 2 tomasz 2015-03-11 03:44:21 EDT
Debian bug #779047 brought me here: is there a PoC ISO file that causes this issue to happen?
Comment 3 Andrej Nemec 2016-03-30 04:35:23 EDT
CVE assignment:

http://seclists.org/oss-sec/2016/q1/712

Note You need to log in before you can comment on or make changes to this bug.